code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
#
# Basic tests for types creating/writing files
#
set -eux
set -o pipefail
rm -fr /tmp/{f,F,w}
mkdir /tmp/{f,F,w}
touch /tmp/file-owned-by-root
#
# 'f'
#
systemd-tmpfiles --create - <<EOF
f /tmp/f/1 0644 - - - -
f /tmp/f/2 0644 - - - This string should be written
EOF
### '1' should exist... | mxre/systemd | test/units/testsuite-22.03.sh | Shell | gpl-2.0 | 7,132 |
if [ "$(uname)" == "Darwin" ]; then
# configure
${BUILD_PREFIX}/bin/cmake \
-H${SRC_DIR} \
-Bbuild \
-DCMAKE_INSTALL_PREFIX=${PREFIX} \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_C_COMPILER=${CLANG} \
-DCMAKE_CXX_COMPILER=${CLANGXX} \
-DCMAKE_C_FLAGS="${CFLAGS... | psi4/psi4meta | conda-recipes/simint/build.sh | Shell | gpl-2.0 | 2,182 |
#!/bin/sh
#
# Copyright (c) 2003, 2004, 2005, 2006, 2007, 2009, 2010, 2017 Dan McMahill
# This program is free software; you can redistribute it and/or modify
# it under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation
#
# This program is distributed in the ho... | rlutz/pcb | tests/run_tests.sh | Shell | gpl-2.0 | 21,269 |
#!/bin/sh
#
# Copyright (c) 2005 Junio C Hamano
#
# Fetch one or more remote refs and merge it/them into the current HEAD.
USAGE='[-n | --no-stat] [--[no-]commit] [--[no-]squash] [--[no-]ff] [-s strategy]... [<fetch-options>] <repo> <head>...'
LONG_USAGE='Fetch one or more remote refs and merge it/them into the curren... | basicer/git | git-pull.sh | Shell | gpl-2.0 | 7,654 |
#!/bin/bash
dir=`pwd`
INTERVAL=60
WINDOWS=3
I=2
entry=15
entry_k=32
hash_number=5
##DISCOUT=0.2
## 1w prediction list with 0.5 discount inw1 and w2
###1014 should compile kary.c not t1.c
for threshold in 0.01
##0.02 0.05 0.1
do
## Create a new Makefile
rm -rf Makefile
cp Makefile_original Makefile
echo ' $(CC) $... | cnsrl-ncds/ncds | simulation.sh | Shell | gpl-2.0 | 833 |
#!/bin/bash
######INFO
# difftool.sh
#
# pull repository differences tool
#
# Copyright (C) 2010 Texas Instruments, Inc.
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# THIS PAC... | omapzoom/repo-support-tools | scripts/difftool.sh | Shell | gpl-2.0 | 14,028 |
#!/bin/bash
# This script builds the Release version of TreeMaker and the disk image for
# the binary distribution.
# build the help.zip file and help cache
./build-tm-help.sh
#compile the Release configuration of the TreeMaker target
if ! xcodebuild -project TreeMaker.xcodeproj -target TreeMaker -configuration Relea... | wesen/TreeMaker | mac/build-tm-release.sh | Shell | gpl-2.0 | 403 |
#rename this file to secret.sh and source. secret.sh is gitignored
export MONGO_USER='SOME_USER'
export MONGO_PASSWD='Super duper secret'
export MONGO_HOST='host'
export MONGO_PORT='27017'
| pnsn/quickshake | .secret-example.sh | Shell | gpl-2.0 | 189 |
#!/sbin/busybox sh
#
/sbin/busybox renice 19 `pidof ramcheck.sh`
FREE=`free -m | grep -i mem | awk '{print $4}'`
while [ 1 ];
do
if [ $FREE -lt 15360 ]; then
echo "2853,5632,24576,86016,96768,96768" > /sys/module/lowmemorykiller/parameters/minfree
echo "111" > /proc/sys/vm/vfs_cache_pressure
else
echo "2853... | javilonas/SGS3-Sourcedrops | ramdisk/res/ext/ramcheck.sh | Shell | gpl-2.0 | 468 |
# scenic2 dependency, requires version <= 0.10.15
# following guide at: http://code.sat.qc.ca/redmine/projects/scenic2/wiki/Scenic2
#TAG=v0.10.15
#gitsrc $1 https://github.com/joyent/node.git $TAG
#common_autotools $1
npm install -g node-gyp
| sensorii/mymkr | mymkr/pkgs/old/scenic/node-gyp.sh | Shell | gpl-2.0 | 242 |
#! /bin/sh
# Copyright (C) 2011-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | Starlink/automake | t/self-check-explicit-skips.sh | Shell | gpl-2.0 | 1,619 |
#!/bin/bash
#file-ext.tar
#file-ext-embed.tar
#file-int.tar
#file-int-embed.tar
n=0
if [ -f "file-ext.tar" ]
then
tar -xvf file-ext.tar --strip=2 home/specify/
n=`n+1`
mv web_launch_ext /var/www/spinternal/ext
fi
if [ -f "file-ext-embed.tar" ]
then
tar -xvf file-ext-embed.tar --strip=2 home/specify/
n=`n+1`
m... | specify/specify6 | packaging/release_command_center/unpack_tars_specify6-prod.sh | Shell | gpl-2.0 | 727 |
convert images/OCS-510-A.png -crop 1559x233+0+0 +repage images/OCS-510-A-0.png
convert -append images/OCS-509-B-8.png images/OCS-510-A-0.png images/OCS-509-B-8.png
rm images/OCS-510-A-0.png
convert images/OCS-510-A.png -crop 1559x231+0+236 +repage images/OCS-510-A-1.png
convert images/OCS-510-A.png -crop 1559x235+0+474... | jonnymwalker/Staroslavjanskij-Slovar | scripts/findindents.OCS-510.sh | Shell | gpl-2.0 | 2,132 |
#!/bin/bash
fail() {
echo
echo Error: $1 not found. That would be a problem...
echo
exit 1
}
warn() {
echo Warning: $1 not found. It\'s not required, though...
}
echo Checking for libsqlite3...
if pkg-config --libs --cflags sqlite3 >/dev/null; then
echo OK.
else
fail libsqlite3
fi
echo
echo Checking for gnup... | ze-phyr-us/abacus | check.sh | Shell | gpl-3.0 | 402 |
#!/bin/sh
./query_nomatch.sh ip6tables tcp mangle
| kidmin/iptables-ext-dns | test/4.4.2_check_no_ipv6_tcp_prerouting.sh | Shell | gpl-3.0 | 51 |
#!/usr/bin/env bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
export PATH
filename="./test.son"
remote_loc="~/autoEM/"
remote_filename="test.son"
server="r101008@140.112.19.172"
#scp $filename $server:$remote_loc$remote_filename
#ssh -t $server 'screen -dm -S autoEM ~/autoEM/command.sh'
#ssh... | yodalee/autoEM | inter.sh | Shell | gpl-3.0 | 531 |
#!/bin/bash
# shellcheck disable=SC1091
JUNEST_ROOT=$(readlink -f "$(dirname "$0")"/../..)
source "$JUNEST_ROOT/tests/utils/utils.sh"
source "$JUNEST_ROOT/lib/utils/utils.sh"
source "$JUNEST_ROOT/lib/core/common.sh"
source "$JUNEST_ROOT/lib/core/chroot.sh"
# Disable the exiterr
set +e
function oneTimeSetUp(){
... | fsquillace/junest | tests/unit-tests/test-chroot.sh | Shell | gpl-3.0 | 3,794 |
#!/bin/bash
mkdir -p junit-res/de/wwu/muggl/binaryTestSuite
rsync -avP --stats build/classes/test/de/wwu/muggl/binaryTestSuite junit-res/de/wwu/muggl/
| wwu-pi/muggl | muggl-core/rsync-junit-res.sh | Shell | gpl-3.0 | 151 |
#!/bin/bash
python3 /VITO/vito.py | stockmay/VITO | Manager/Config/start.sh | Shell | gpl-3.0 | 33 |
#!/bin/bash
set -x
rm -rf ${PROJECT_DIR}/iOS/assets-ios-brand.generated.xcassets
cp -R ${PROJECT_DIR}/iOS/Branding/${BRAND_NAME}/assets-ios-brand.xcassets ${PROJECT_DIR}/iOS/assets-ios-brand.generated.xcassets
| openHPI/xikolo-ios | Build Phases/copy-brand-assets.sh | Shell | gpl-3.0 | 211 |
#!/usr/bin/env bash
#nosetests --with-coverage --with-isolation
#nose2 -C
green -a -r | Tuuux/galaxie-curses | run_test.sh | Shell | gpl-3.0 | 85 |
#!/bin/sh
id -Gn $FT_USER | sed 's/ /,/g' | tr -d '\n' | randrini/42Pool | j01/ex01/print_groups.sh | Shell | gpl-3.0 | 54 |
#!/bin/bash
clear
echo ''
echo "=============================================="
echo "Configure ZFS Storage ... "
echo " "
echo "(some steps take awhile ... patience) "
echo "=============================================="
echo ''
sleep 5
cle... | gstanden/orabuntu-lxc | zfsutils/Oracle/zfs_Oracle_7.sh | Shell | gpl-3.0 | 1,757 |
/opt/ActiveTcl-8.5/bin/tclsh8.5 groupbot.tcl
| DeusFigendi/groupbot | groupbot.sh | Shell | gpl-3.0 | 45 |
#! /bin/sh
# libtest.sh
# Shell library for testing (Heavily inspired from Perl's Test::Harness)
#
#.. Copyright 2011,2012,2013 Olaf Ohlenmacher
#..
#.. This file is part of libtest.
#..
#.. libtest is free software: you can redistribute it and/or modify
#.. it under the terms of the GNU General Public Lice... | OBdA/libtest | libtest.sh | Shell | gpl-3.0 | 19,388 |
#!/bin/sh
#
# This file is protected by Copyright. Please refer to the COPYRIGHT file
# distributed with this source distribution.
#
# This file is part of GNUHAWK.
#
# GNUHAWK is free software: you can redistribute it and/or modify is under the
# terms of the GNU General Public License as published by the Free Sof... | RedhawkSDR/integration-gnuhawk | components/fractional_interpolator_ff/build.sh | Shell | gpl-3.0 | 1,621 |
#
# Use serial port as console.
#
/server/serial/server
stdio /dev/serial0 /dev/serial0
#
# System Servers and Drivers.
#
#/server/filesystem/proc/server
#
# Interactive Shell.
#
/bin/sh
| Phvnux/FreeNOS | config/arm/raspberry/init.sh | Shell | gpl-3.0 | 189 |
#!/bin/bash
python AnalyzeSimulation.py --paralog1 YLR406C --paralog2 YDL075W --simnum 46 > YLR406C_YDL075W_MG94_nonclock_Sim46_PrintScreen.txt
| xjw1001001/IGCexpansion | Simulation/ShFiles/MG94_YLR406C_YDL075W_sim46.sh | Shell | gpl-3.0 | 145 |
#!/bin/bash
# script to synchronize WRF data with SciNet or other sources
# Andre R. Erler, July 2013, GPL v3
# revised by Fengyi Xie and Andre R. Erler, March 2016, GPL v3
echo
hostname
date
echo
## load settings
if [[ "$KCFG" == "NONE" ]]; then
echo "Using configuration from parent environment (not sourcing)."
... | aerler/WRF-Tools | Scripts/SyncPP/sync-wrf.sh | Shell | gpl-3.0 | 5,323 |
#!/bin/bash
python RunBootstrap.py --paralog1 YBL087C --paralog2 YER117W --bootnum 93 > YBL087C_YER117W_Boot93_PrintScreen.txt
| xjw1001001/IGCexpansion | Bootstrap/ShFiles/MG94_YBL087C_YER117W_Boot93.sh | Shell | gpl-3.0 | 128 |
#!/bin/sh
# Script from http://stackoverflow.com/a/3278427 with love :)
LOCAL=$(git rev-parse @)
REMOTE=$(git rev-parse @{u})
BASE=$(git merge-base @ @{u})
if [ "$LOCAL" = "$REMOTE" ]; then
echo "Up-to-date"
elif [ "$LOCAL" = "$BASE" ]; then
echo "Need to pull"
elif [ "$REMOTE" = "$BASE" ]; then
echo "Ne... | alexharries/drupal-scripts-of-usefulness | script-components/git-status.sh | Shell | gpl-3.0 | 360 |
#!/bin/sh
# This script builds an integration test Cassandra image seeded with data/init.cql
CASSANDRA_TAG=eas-it-cassandra
CASSANDRA_NAME=eas-it-cassandra
docker build -f Dockerfile.it . --tag $CASSANDRA_TAG
# For convenience, remove old containers
docker ps -f "name=$CASSANDRA_NAME" -qa | xargs docker rm -fv
# St... | eigengo/reactive-architecture-cookbook-code | eas/it/inf/it.sh | Shell | gpl-3.0 | 737 |
#!/bin/bash
export LC_ALL=C
export USE_CCACHE=1
export CCACHE_DIR=/media/MS_Share/CCACHE
export TEMP=$CCACHE_DIR/tmp
export CCACHE_EXEC=/usr/bin/ccache
/usr/bin/ccache -M 50G
export ALLOW_MISSING_DEPENDENCIES=true
export _JAVA_OPTIONS=-Xmx2048m
rm -r ~/Development/LineageOs17.1/out/target/product/v1a3g
# Enable S... | khomsn/device_samsung_v1a3g | bt_v1a3g.bash | Shell | gpl-3.0 | 1,385 |
docker build --tag="carlobonamico/docker-simple-samples-web:1.1" .
#docker build --tag="user/docker-simple-samples-ps:1.1" .
docker images | grep samples
| carlobonamico/docker-simple-samples | workflow/02/build_and_tag.sh | Shell | gpl-3.0 | 156 |
#!/bin/bash
outfile="ecal.prim"
datadir="../primadd.dat"
scriptsdir="../../scripts"
cat ${scriptsdir}/00header.dat > ${outfile}
while read f ; do
cat ${datadir}/${f} >> ${outfile}
done <<EOF
Cu.dat
EcalBarrel.dat
EcalEndcap.dat
EcalEndcapQuadrant.dat
EcalPlug.dat
ECRing.dat
PELogical.dat
phiGap.dat
EOF
cat ${scr... | akiyamiyamoto/Tutorial | ilddawn/scripts/ecaldata.sh | Shell | gpl-3.0 | 356 |
#!/bin/sh
pkgname=python-chardet
pkgver=3.0.4
vcs=git
vcs_pkgname=chardet
gittag=${pkgver}
relmon_id=9523
kiin_make() {
python setup.py build
}
kiin_install() {
python setup.py install --root=${pkgdir}
}
| alekseyrybalkin/kiin-repo | python-modules/python-chardet/package.sh | Shell | gpl-3.0 | 215 |
#!/bin/bash
python init.py -l 1
python init.py -l 2
python init.py -l 3 | marawanokasha/ecml_fhv_paper_code | src/10_create_fhv_matrices/init.sh | Shell | gpl-3.0 | 71 |
#!/bin/bash
set -e
# cmakelint
# https://github.com/richq/cmake-lint
if ! which cmakelint; then
echo "Install cmakelint." 1>&2
exit 1
fi
cmake_files=$(find . -name CMakeLists.txt -o -name "*.cmake")
cmakelint --config=.cmakelintrc ${cmake_files}
| COMBINE-lab/salmon | scripts/lint.sh | Shell | gpl-3.0 | 256 |
#!/bin/bash
find ./${YEAR} -maxdepth 1 -type f -regex '.*ch[0-9][0-9]-mc.tex$' | while read file
do
#\begin{question}{ch20-mc-Q01}
#perl -pe 's/\bc\w+/ZAP/g' ${file}
#\element{serway-mc}{
#\begin{question}{ch01-mc-q01}
echo "perl -pi.bak -e \"s/\{questionmult}\{ch(\d\d)-mc-q/{questionmult}{serway-... | jphafner/physicsAMC | qbank/serway/change.sh | Shell | gpl-3.0 | 838 |
#!/bin/bash
docker start teamcity-agent-nodejs | dickeyf/darkstarPortal | teamcity/dockerAgent/start.sh | Shell | gpl-3.0 | 46 |
pip install -r requirements.txt
source ${CONFIG_FILES}
if [ "${DEFAULT_SAT6_URLS}" = 'true' ]; then
source config/sat6_repos_urls.conf
for variable in 'SATELLITE6_REPO' 'TOOLS_RHEL7' 'TOOLS_RHEL7_PPC64' 'TOOLS_RHEL7_S390X' 'TOOLS_RHEL6' 'TOOLS_RHEL6_PPC64' 'TOOLS_RHEL6_S390X' 'TOOLS_RHEL6_I386' 'TOOLS_RHEL5' '... | sthirugn/robottelo-ci | scripts/satellite6-rcm-compose.sh | Shell | gpl-3.0 | 2,376 |
#!/bin/sh
#
# latigid010@yahoo.com
# 01/06/2000
#
# This Nagios plugin was created to check Oracle status
#
PROGNAME=`basename $0`
PROGPATH=`echo $0 | sed -e 's,[\\/][^\\/][^\\/]*$,,'`
REVISION="@NP_VERSION@"
. $PROGPATH/utils.sh
print_usage() {
echo "Usage:"
echo " $PROGNAME --tns <Oracle Sid or Hostname/IP ... | tjyang/nagios-plugins.my | plugins-scripts/check_oracle.sh | Shell | gpl-3.0 | 8,785 |
#!/bin/bash -e
. ../../blfs.comm
build_src() {
srcfil=at-spi2-core-2.12.0.tar.xz
srcdir=at-spi2-core-2.12.0
tar -xf $BLFSSRC/$PKGLETTER/$CURDIR/$srcfil
cd $srcdir
./configure --prefix=/usr \
--sysconfdir=/etc
make
make DESTDIR=$BUILDDIR install
cleanup_src .. $srcdir
}
gen_control() {
cat > $DEBIANDIR/control << E... | fangxinmiao/projects | Architeture/OS/Linux/Distributions/LFS/build-scripts/blfs-7.6-systemv/a/at-spi2-core-2.12.0/build.sh | Shell | gpl-3.0 | 739 |
#!/bin/sh
tar -xf luxcorerender-v2.5-linux64-sdk.tar.bz2
unzip -o DLSC-23.zip
unzip -o RainbowColorsAndPrism-23.zip
unzip -o LuxCore2.1Benchmark-23.zip
unzip -o DanishMood-23.zip
unzip -o OrangeJuice-23.zip
echo "#!/bin/sh
LD_LIBRARY_PATH=\$HOME/LuxCore-sdk/lib:\$LD_LIBRARY_PATH ./LuxCore-sdk/bin/luxcoreconsole \$@ >... | phoronix-test-suite/phoronix-test-suite | ob-cache/test-profiles/pts/luxcorerender-1.3.0/install.sh | Shell | gpl-3.0 | 407 |
#!/bin/bash
if [ $# -eq 0 ]
then
echo "Please provide model name as argument, e.g.: './createInput.sh my_model'"
exit 1
fi
model=$@
for T_min in `cat T_min.dat`; do
for T_max in `cat T_max.dat`; do
for L_row in `cat L.dat`; do
for J1_row in `cat J1.dat`; do
for J2_row ... | DavidAce/PT | bash_scripts/createInput/createInput.sh | Shell | gpl-3.0 | 1,172 |
#
# Chapter 6.5 & ...
#
#
if [[ -f /setup/definitions ]]; then
source /setup/definitions
else
echo "definitions dosyasi bulunamadi"
echo "ENVIRONMENT degerlerini kontrol edin"
exit
fi
if [[ ! -f /root/OK ]]; then
echo -e "BDOS Filesystem hazirlanacak \nbir tusa basarak devam edin ..."
echo -e "\e[32m-----... | usishi/bdos | setup/006-BuildSystemFaz2.sh | Shell | gpl-3.0 | 8,190 |
#!/bin/bash
set -e
if [ ! -d "/var/www/html/squid-report" ]; then
echo "Making dir [/var/www/html/squid-reports]"
mkdir -p /var/www/html/squid-reports
fi
echo "running Sarg with LOCAL_NETWORK=${LOCAL_NETWORK}"
sed -i "s:{{LOCAL_NETWORK}}:${LOCAL_NETWORK}:" /etc/apache2/conf-available/sarg.conf
# Enable Sarg... | lorranmira/docker | sarg/entrypoint.sh | Shell | gpl-3.0 | 535 |
#!/bin/bash
set -e
CSIRTG_TOKEN=$CSIRTG_TOKEN
CSIRTG_USER=$CSIRTG_USER
CSIRTG_FEED=$CSIRTG_FEED
echo 'updating apt-get tree and installing python-pip'
sudo apt-get update && sudo apt-get install -y python2.7 python-pip python-dev git libffi-dev \
software-properties-common aptitude htop
echo 'Upgrading pip...'
sudo... | wesyoung/darknetkit | bootstrap.sh | Shell | mpl-2.0 | 543 |
#!/usr/bin/env bash
kill `cat /var/run/decaf/masta.pid`
kill `cat /var/run/decaf/oscard.pid`
kill `cat /var/run/decaf/deploymentd.pid`
kill `cat /var/run/decaf/storaged.pid`
kill `cat /var/run/decaf/componentmanagerd.pid`
ps aux | grep specificationd | awk '{print $2}' | xargs kill -9
ps aux | grep storaged | awk '{p... | CN-UPB/OpenBarista | scripts/kill_daemons.sh | Shell | mpl-2.0 | 547 |
#!/bin/sh
JAVA_OPT=-mx512m
lib="$(dirname "${0}")/../lib"
java $JAVA_OPT -cp "$lib/$(ls "$lib"|xargs |sed "s; ;:$lib/;g")" org.openrdf.console.Console $*
| nie-ine/Knora | webapi/scripts/openrdf-console/bin/console.sh | Shell | agpl-3.0 | 156 |
#!/usr/bin/env bash
set -x -e -u
DEPLOYMENT_TARGET=$1
DB=$2
FILENAME=${DB}_${DEPLOYMENT_TARGET}_backup_$(date +"%Y-%m-%d__%H-%M-%S").gz
GS_FILE=gs://seqr-backups/${FILENAME}
gcloud sql export sql postgres-"${DEPLOYMENT_TARGET}" "${GS_FILE}" --database="${DB}" --offload
gsutil mv "${GS_FILE}" .
psql postgres -c "DR... | ssadedin/seqr | deploy/kubectl_helpers/restore_local_db.sh | Shell | agpl-3.0 | 422 |
#!/bin/bash
#
# Parses http://svn.tartarus.org/snowball/trunk/website/algorithms/english/stop.txt
# and writes it to stop.en.txt.
DIR="$(dirname "$0")"
URL="svn://svn.tartarus.org/snowball/trunk/website/algorithms/english/stop.txt"
# Grab the contents
# Nix comments that start with `|`, or all whitespace
# Sort and f... | overview/overview-entity-filter | server/data/build-stop.en.txt.sh | Shell | agpl-3.0 | 584 |
#!/bin/sh
# Copyright 2021 Google LLC
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is di... | GoogleChromeLabs/web-gphoto2 | build.sh | Shell | lgpl-2.1 | 1,002 |
#!/bin/sh
# int-or-string.sh
clear
echo "Creating a new version of the LIBQIF Library"
echo "Insert the version number please"
read version
mkdir LIBQIF-v$version
cp -R html/ LIBQIF-v$version/docs/
cp -R inc/ LIBQIF-v$version/inc/
cp -R sci_files/ LIBQIF-v$version/sci_files/
cp lib/liblibqif.a LIBQIF-v$version/libl... | fmartinelli/libqif | create_new_libqif_version.sh | Shell | lgpl-2.1 | 2,175 |
#!/bin/bash
echo " "
echo "-------------------------------------------------------"
echo "Initializing FortMASA Tests"
echo "-------------------------------------------------------"
| manufactured-solutions/MASA | tests/f_init.sh | Shell | lgpl-2.1 | 183 |
#!/bin/sh
set -e
set -v
make distclean || :
aclocal
autoreconf -i -f
./configure --prefix=$AUTOBUILD_INSTALL_ROOT
make
make install
rm -f *.tar.gz
make dist
if [ -n "$AUTOBUILD_COUNTER" ]; then
EXTRA_RELEASE=".auto$AUTOBUILD_COUNTER"
else
EXTRA_RELEASE="$USER"
fi
if [ -x /usr/bin/rpmbuild ]
then
rpmbuild ... | MigNov/archiver | autobuild.sh | Shell | lgpl-2.1 | 450 |
#!/bin/sh
aclocal
autoconf
autoheader
automake --add-missing
./configure $*
| GNOME/asbestos | autogen.sh | Shell | lgpl-2.1 | 77 |
#! /bin/sh
# Example: $ cc.sh 'mkV "kiteb"'
echo "\
i -retain ParadigmsMlt.gf
cc -table -unqual $*
" | gf --run
| johnjcamilleri/Maltese-GF-Resource-Grammar | test/cc.sh | Shell | lgpl-3.0 | 113 |
# Andrew Erlichson
# 10gen
# script to start a sharded environment on localhost
# clean everything up
echo "killing mongod and mongos"
killall mongod
killall monogs
echo "removing data files"
rm -rf /data/config
rm -rf /data/shard*
# start a replica set and tell it that it will be a shord0
mkdir -p /data/shard0/rs0 /da... | JaiHirsch/flink-mingo-tail | init_replica_set.sh | Shell | lgpl-3.0 | 1,091 |
bash run-configurable-testrunner.sh -h mysql-ens-var-prod-2.ebi.ac.uk -u ensro -P 4521 -d homo_sapiens_variation_89_38 -t ComparePreviousVersionVariationClasses
| at7/work | production/human_hc.sh | Shell | apache-2.0 | 161 |
#!/bin/bash
set -e
IPV4_ADDR=${IPV4_ADDR:-$1}
ETCD_DISCOVERY=${ETCD_DISCOVERY:-$2}
# Setup and copy etcd environment file
sed "s#{{PUBLIC_ADDR}}#$IPV4_ADDR#g" etcd2.env > /etc/etcd2.env
sed -i "s#{{ETCD_DISCOVERY_URL}}#$ETCD_DISCOVERY#g" /etc/etcd2.env
# Copy etcd service file
cp etcd2.service /etc/systemd/system/etc... | openfrontier/debian-init | config-docker-service.sh | Shell | apache-2.0 | 742 |
#!/bin/bash
# Configuration
CUDA_GENCODE="\
-gencode=arch=compute_61,code=sm_61 \
-gencode=arch=compute_52,code=sm_52 \
-gencode=arch=compute_50,code=sm_50"
cd src
nvcc -I/usr/local/cuda/include --expt-extended-lambda -O3 -c -o bn.o bn.cu -x cu -Xcompiler -fPIC -std=c++11 ${CUDA_GENCODE}
cd ..
| Diyago/Machine-Learning-scripts | DEEP LEARNING/segmentation/Kaggle TGS Salt Identification Challenge/v2/modules/build.sh | Shell | apache-2.0 | 298 |
#!/usr/bin/env bash
# A script to test whether the Greenplum tests should be done or not
set -eu
cd "$(dirname "$0")"
load() { source "$1".bash; }
load test_environ
{
# gpfdist should be on PATH to say Greenplum is there
type gpfdist
# also check database version
[[ "$(DBNAME=postgres timeout 1s db-exe... | HazyResearch/deepdive | test/greenplum/should-work.sh | Shell | apache-2.0 | 440 |
SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source ${SCRIPT_DIR}/prepare.sh || exit $?
source ${SCRIPT_DIR}/setup-env.sh || exit $?
source ${SCRIPT_DIR}/deploy-vm.sh || exit $?
| baigk/compass-core | regtest/ansible/ci/deploy.sh | Shell | apache-2.0 | 194 |
#!/bin/sh
# Path to Android NDK
export ANDROID_NDK=$CODE/android-ndk-r11c
# Points to the Android SDK
export ANDROID_SDK=$HOME/Android/sdk
export PATH=$PATH:$ANDROID_SDK/tools
export PATH=$PATH:$ANDROID_SDK/platform-tools
export PATH=$PATH:$ANDROID_SDK/android-toolchain/bin
# from https://github.com/taka-no-me/andro... | PsycoTodd/ARAndroidTest | app/src/main/externals/assimp-3.0/buildForAndroid.sh | Shell | apache-2.0 | 903 |
#!/bin/sh
cd ~/workspace/open-lmis/ && \
gradle run
| ThoughtWorksInc/ahf-logistics-sample | run.sh | Shell | apache-2.0 | 53 |
#!/bin/sh
echo ========== Synchornize System ==========
#ntpdate us.pool.ntp.org
echo SERVICE_NAME is $SERVICE_NAME
echo SERVICE_VERSION is $SERVICE_VERSION
echo PROFILE is $PROFILE
echo CONFIG_KEY is $CONFIG_KEY
echo ========== Set Up Environment ==========
#export JRE_HOME=/usr
#export CATALINA_HOME=/usr/local/tomc... | DreamInSun/orange.img.Tomcat | master/shell/docker-entrypoint.sh | Shell | apache-2.0 | 838 |
# Take from ~/.ssh/known_hosts
complete -W "$(echo `cat $HOME/.ssh/known_hosts | cut -f 1 -d ' ' | sed -e s/,.*//g | uniq | grep -v "\["`;)" ssh
| mbarany/dotfiles | bash_completion.d/ssh.bash | Shell | apache-2.0 | 145 |
#!/bin/bash
if [ "$#" -eq 1 ]; then
ARGVALUE=$1
if [[ $ARGVALUE == *"skipTest"* ]]; then
echo "Skippping Tests"
./mvnw clean install -f core/pom.xml -DskipTests
fi
else
./mvnw clean install -f core/pom.xml
fi
| spring-cloud/spring-cloud-stream | buildCore.sh | Shell | apache-2.0 | 227 |
#!/bin/sh
VER=$1
DPDK_ROOT=../../$2/dpdk-${VER}
DEBIAN_DIR=../build-root/deb/debian
SRC_DIR=/usr/src/vpp-dpdk-dkms-${VER}/
cat > ${DEBIAN_DIR}/vpp-dpdk-dkms.install << _EOF_
${DPDK_ROOT}/lib/librte_eal/common/include/rte_pci_dev_feature_defs.h ${SRC_DIR}
${DPDK_ROOT}/lib/librte_eal/common/include/rte_pci_dev_feature... | muharif/vpp | dpdk/dkms/create_deb_manifest.sh | Shell | apache-2.0 | 899 |
#!/usr/bin/env bash
# Copyright 2017 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or a... | GoogleCloudPlatform/java-docs-samples | appengine-java8/endpoints-v2-backend/jenkins.sh | Shell | apache-2.0 | 2,105 |
#!/bin/bash
#!/bin/bash
# This file starts the Dgraph server, runs a simple mutation, does a query and checks the response.
SRC="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/.."
BUILD=$1
# If build variable is empty then we set it.
if [ -z "$1" ]; then
BUILD=$SRC/build
fi
ROCKSDBDIR=$BUILD/rocksdb-... | kostub/dgraph | contrib/simple-e2e.sh | Shell | apache-2.0 | 2,609 |
#!/bin/bash
my_array=(A B "C" D)
my_array[0]=value0
my_array[1]=value1
my_array[2]=value2
echo "数组元素个数:${#my_array[*]}"
echo "数组元素个数:${#my_array[@]}"
for i in "${my_array[@]}"; do
echo $i
done | MartinHan01/MyPractices | shell/chapter4_array.sh | Shell | apache-2.0 | 223 |
#!/bin/bash
set -x verbose #echo on
coffee PyToCoffee
cp trueskill.almost.coffee trueskill.coffee
patch trueskill.coffee < trueskill.patch | freethenation/node-trueskill | convert/convert.sh | Shell | apache-2.0 | 138 |
CV_VERSION=3.2.0
CORES=3
sudo apt-get install -y python2.7-dev #python3-dev
sudo apt-get install -y build-essential git cmake pkg-config
sudo apt-get install -y libjpeg-dev libtiff5-dev libjasper-dev libpng12-dev
sudo apt-get install -y libavcodec-dev libavformat-dev libswscale-dev libv4l-dev
sudo apt-get install -y l... | MyrikLD/twoHands | opencv.sh | Shell | apache-2.0 | 1,246 |
#
# lib.d/main_uninstall.sh for dex -*- shell-script -*-
#
main_uninstall(){
local operand="dex/uninstall"
local operand_args=
args/normalize_flags_first "" "$@"
set -- "${__argv[@]}"
while [ $# -ne 0 ]; do
case "$1" in
-h|--help)
die/help ;;
--)
shift ; list=( "$@" ) ; break... | dockerland/dex | lib.d/uninstall.sh | Shell | apache-2.0 | 572 |
#!/bin/sh
#
# american fuzzy lop - crash triage utility
# -----------------------------------------
#
# Written and maintained by Michal Zalewski <lcamtuf@google.com>
#
# Copyright 2013, 2014 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file... | ele7enxxh/android-afl | experimental/crash_triage/triage_crashes.sh | Shell | apache-2.0 | 2,316 |
#!/bin/bash
# Copyright 2016 Port Direct
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | portdirect/harbor | docker/mandracchio/mandracchio-image-aws/assets/upload.sh | Shell | apache-2.0 | 5,516 |
#!/bin/bash
#
# -------------------------------------------------------------------------- #
# Copyright 2015-2021, StorPool (storpool.com) #
# #
# Licensed under the Apache License, Version 2.0 (the "License"); you... | OpenNebula/addon-storpool | hooks/volumecare/vc-policy.sh | Shell | apache-2.0 | 1,690 |
# ----------------------------------------------------------------------------
#
# Package : node-proper-lockfile
# Version : v4.1.1
# Language : JavaScript
# Source repo : https://github.com/moxystudio/node-proper-lockfile
# Tested on : UBI 8.3
# Script License: MIT License
# Maintainer : Va... | ppc64le/build-scripts | n/node-proper-lockfile/node-proper-lockfile_ubi8_3.sh | Shell | apache-2.0 | 1,295 |
#!/bin/bash
cd "${0%/*}"
LD_LIBRARY_PATH=`pwd` ./screamporium
| pikkpoiss/ld33 | pkg/osx/launch.sh | Shell | apache-2.0 | 62 |
#!/bin/bash
USER="Elix-x"
NAME="EXComms"
GROUP="code/elix_x/excomms"
git config --global user.email "$USER@users.noreply.github.com"
git config --global user.name "Travis-Maven"
git clone https://$USER:$GITACCESSTOKEN@github.com/$USER/$USER.github.io.git
mkdir -p "$USER.github.io/maven2/$GROUP/$NAME/$TRAVIS_BRANCH/... | Elix-x/EXComms | gitwebpages.sh | Shell | apache-2.0 | 547 |
#!/bin/bash
# You should create an privileges.sql file that grand privileges to an user for the database
# Example: GRANT ALL PRIVILEGES ON commercefeeds.* TO 'commercefeeds'@'%' IDENTIFIED BY 'password';
# To create database just run mysql -h [host] -u [username] -p [password] < reset.sql
# remeber you nee... | DracoLi/Queen-s-Commerce-News-Feed | server/database/install.sh | Shell | apache-2.0 | 400 |
#!/bin/bash
image_name=gcr.io/sandbox-235500/clv-components
image_tag=latest
full_image_name=${image_name}:${image_tag}
docker run --entrypoint python "${full_image_name}" prep.py --project-id=sandbox-235500 --dataset-id=CLVDataset --transactions-table-id='sandbox-235500.CLVDataset.transactions' --features-table-n... | GoogleCloudPlatform/kubeflow-pipelines-clv | components/automl_tables/tests/run_image.sh | Shell | apache-2.0 | 455 |
#!/bin/bash -ex
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"... | xhochy/arrow | python/manylinux1/scripts/build_aws_sdk.sh | Shell | apache-2.0 | 1,665 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Li... | xhochy/arrow | ci/scripts/util_cleanup.sh | Shell | apache-2.0 | 1,172 |
#!/bin/bash
# read credentials
. ~/.mfloopy_credentials.sh
~/primetools/mfloop.py -u $M_USER -p $M_PASS -U $G_USER -P $G_PASS -w $1 -t 0 -g 25 -e 74 -T dctf -o let_gpu72_decide
| MarkRose/ec2-factorer | fetch.sh | Shell | bsd-2-clause | 179 |
#!/bin/bash
# Define shell environment
cat <<EOF >> ~/.bash_profile
export HOME=/root
export PYTHONPATH=.
export WORKON_HOME='~/.virtualenvs'
source /usr/share/virtualenvwrapper/virtualenvwrapper.sh
workon scion
cd
EOF
# Initialize virtualenv for the first time
export WORKON_HOME='/root/.virtualenvs'
source /usr/shar... | scionrep/docker-scion | scion_cc/3.0.0/build/bin/setup_base.sh | Shell | bsd-2-clause | 361 |
sudo ./dist/build/testMraa/testMraa
| Proclivis/mraa | run.sh | Shell | bsd-3-clause | 36 |
#!/bin/bash
# Copyright (c) 2013 The libmumble Developers
# The use of this source code is goverened by a BSD-style
# license that can be found in the LICENSE-file.
# This script generates the canonical versions of opensslconf.h
# for the architectures we support in 3rdparty/openssl.
# The script is destructive, and w... | metredigm/libmumble | 3rdparty/opensslbuild/generate-opensslconf.bash | Shell | bsd-3-clause | 2,053 |
#! /bin/sh
DB_FLAG=$1
COMMIT="$2"
if [ "$COMMIT" = "" ]; then
COMMIT="e199537f15abce7cf25c0b4de0f14461a1f426ec"
fi
if [ $DB_FLAG = "TFB_MYSQL" ]; then
CXX_FLAGS="-I /usr/include/mariadb -lmariadbclient "
wget https://raw.githubusercontent.com/matt-42/lithium/$COMMIT/single_headers/lithium_mysql.hh
elif [ $DB_... | volyrique/FrameworkBenchmarks | frameworks/C++/lithium/compile.sh | Shell | bsd-3-clause | 1,442 |
#!/bin/bash
alphas="0.4"
betas="0.5"
K=10
Nt=3
epsilons="0.3 0.5"
depth=3
ttresh=1
resolution=1
seeds="112288 148445 779888 288613 942277 57111 99852 19158 45622 31234"
datasetdir="datasets"
outputdir="output/ext5"
test -d ${outputdir} || mkdir -p ${outputdir} || exit
run () {
datafile=$1
outbase=${outputdir... | mihaimaruseac/dpsn | scripts/run_sz.sh | Shell | bsd-3-clause | 805 |
#!/bin/bash
FN="scRNAseq_2.3.17.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.12/data/experiment/src/contrib/scRNAseq_2.3.17.tar.gz"
"https://bioarchive.galaxyproject.org/scRNAseq_2.3.17.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-scrnaseq/bioconductor-scrnaseq_2.3.17_src_all.tar.gz"
)
MD... | blankenberg/bioconda-recipes | recipes/bioconductor-scrnaseq/post-link.sh | Shell | mit | 1,292 |
#!/bin/bash
./run_memory.sh py3
./run_speed.sh py3
| leiyangyou/Arpeggio | tests/perf/run_all_py3.sh | Shell | mit | 52 |
#!/usr/bin/env bash
if [ $# -lt 1 ]; then
echo "Usage $0 <path to source docs>"
exit 1
fi
mkdir -p api-docs
for f in ${1}/*.json; do
name=$(basename "$f")
jqscript=jq-scripts/${name}
if [ -f "${jqscript}" ]; then
jq -f "${jqscript}" "$f" > "api-docs/${name}" || echo "in file ${jqscript}"
else
jq ... | samsalisbury/sous | vendor/github.com/opentable/go-singularity/process_apis.sh | Shell | mit | 358 |
# settings for setup DM
# server name
SERVER_NAME=$(hostname)
# bind9 must listen on this address
SERVER_ADDR="xx::xx"
F_SERVER="f.root-servers.net"
# genertate notfist and zonetransfer_list
BIND_CONF="/etc/named"
[ ! -d $BIND_CONF ] && mkdir $BIND_CONF
# set to where the final root zone published
BIND_ZONE_PATH... | shane-kerr/Yeti-Project | script/BII/setup-dm/setting.sh | Shell | mit | 3,416 |
#!/usr/bin/env zsh
[ ! -n "${SMART_CD_LS+1}" ] && SMART_CD_LS=true
[ ! -n "${SMART_CD_GIT_STATUS+1}" ] && SMART_CD_GIT_STATUS=true
_smart_cd_lastgitdir=''
_smart_cd_chpwd_handler () {
emulate -L zsh
[[ $SMART_CD_LS == true ]] && ls -A
if [[ $SMART_CD_GIT_STATUS == true ]]; then
local gitdir="$(git rev-par... | akatrevorjay/zplugin | test/tzplugin/plugins/_local---smart-cd/smart-cd.zsh | Shell | mit | 646 |
#!/bin/bash
##########################################################################
# This script removes Aria2 daemon config files and folders.
# @author César Rodríguez González
# @version 1.3, 2017-01-11
# @license MIT
##########################################################################
# Check if the scri... | cesar-rgon/linux-app-installer | uninstall/Aria_2_server.sh | Shell | mit | 1,077 |
#!/bin/bash
python runtime/startclient.py conf/mcp.cfg
| sehrgut/minecraft-smp-mocreatures | mcp3/startclient.sh | Shell | epl-1.0 | 55 |
#!/bin/bash
ARCHIVE="/mnt/bigtemp/fabui/backup.tar.gz"
tar -jcf $ARCHIVE /mnt/userdata/settings /mnt/userdata/heads /mnt/userdata/feeders | FABtotum/colibri-fabui | fabui/ext/bash/backup.sh | Shell | gpl-2.0 | 140 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.